Bug 1440324 - Policy to prevent a VM retire request did not work
Summary: Policy to prevent a VM retire request did not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:policy:retire
Depends On: 1439331
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 22:21 UTC by Satoe Imaishi
Modified: 2017-05-31 14:50 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1439331
Environment:
Last Closed: 2017-05-31 14:50:42 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-07 22:26:03 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/18c68c1ed53191d42daf228b29e0ca9f5cdc0141

commit 18c68c1ed53191d42daf228b29e0ca9f5cdc0141
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Apr 7 14:37:40 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Apr 7 18:21:50 2017 -0400

    Merge pull request #14641 from lfu/prevent_retirement_request
    
    Add policy checking for retirement request.
    (cherry picked from commit 302e14cc2329267c6c9c8d249f05d8d9070ea320)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1440324

 db/fixtures/miq_event_definition_sets.csv             |  3 ++-
 db/fixtures/miq_event_definitions.csv                 |  5 +++++
 .../engine/miq_ae_engine/miq_ae_builtin_method.rb     |  8 ++++++++
 .../service_models/miq_ae_service_event_stream.rb     |  1 +
 .../engine/miq_ae_builtin_method_spec.rb              | 19 +++++++++++++++++++
 5 files changed, 35 insertions(+), 1 deletion(-)
 create mode 100644 spec/lib/miq_automation_engine/engine/miq_ae_builtin_method_spec.rb

Comment 3 Dmitry Misharov 2017-04-18 15:10:25 UTC
Verified in 5.8.0.10-beta1.20170411212748_e47d319. Preventing vm retiring works as expected.

Comment 5 errata-xmlrpc 2017-05-31 14:50:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.